SAGE(1)

NAME
sage - Open Source Mathematical Software

DESCRIPTION
SageMath is a free open-source mathematics software system licensed under the GPL. It builds on top of many existing open-source packages: NumPy, SciPy, matplotlib, Sympy, Maxima, GAP, FLINT, R and many more. Access their combined power through a common, Python-based language or directly via interfaces or wrappers.

  Optional arguments:

file.[sage|py|spyx] -- run given .sage, .py or .spyx file

-advanced -- list all command line options

-c <cmd> -- Evaluates cmd as sage code

-gap [...] -- run Sage's Gap with given arguments

-gp [...] -- run Sage's PARI/GP calculator with given arguments

-h, -? -- print this help message

-inotebook [...] -- start the *insecure* Sage notebook (deprecated)

-maxima [...] -- run Sage's Maxima with given arguments

-mwrank [...] -- run Sage's mwrank with given arguments

--notebook=[...] -- start the Sage notebook (valid options are 'default', 'sagenb', 'jupyter', and 'export')

-n, --notebook -- shortcut for --notebook=default

-python [...] -- run the Python interpreter

-R [...] -- run Sage's R with given arguments

-singular [...] -- run Sage's singular with given arguments

-sqlite3 [...] -- run Sage's sqlite3 with given arguments

-root -- print the Sage root directory

--nodotsage         -- run Sage without using the user's .sage directory:
    create and use a temporary .sage directory instead

-t [options] <--all|files|dir>
    -- test examples in .py, .pyx, .sage, .tex or .rst files

selected options:
    --long - include lines with the phrase 'long time' --verbose - print debugging output during the test --sagenb - test all sagenb files --help - show all testing options

-v, -version        -- display Sage version information

usage: sage [options] Try 'sage -h' for more information.

SEE ALSO
The full documentation for sage is available in the sagemath-doc package. It is best accessed via the sage notebook.